<?php
/*Автор - TheAlex(Саня)
Все права принадлежат компании CreaWap)*/
$title = 'Товар';
require_once ('../system/function.php');
require_once ('../system/header.php');

if(!isset($user['id'])) {
echo err($title, '
Уважаемый посетитель, Вы зашли на сайт как незарегистрированный пользователь.<br/>
Мы рекомендуем Вам зарегистрироваться либо войти на сайт под своим именем.
');
require_once ('../system/footer.php'); exit;
}
$time=time()-864000;
/*WHERE field LIKE '%///%'*/
if(isset($_POST['ok'])){
	$_POST['searh']=strong($_POST['searh']);
	if(empty($_POST['searh'])){
		echo '<div class="podmenu"><center><b>Введите текст для поиска</b></center></div>';
		require_once ('../system/footer.php'); exit;
	}
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `shop_goods` WHERE `name` LIKE '%".$_POST['searh']."%'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$good = mysql_query("SELECT * FROM `shop_goods` WHERE `name` LIKE '%".$_POST['searh']."%' ORDER BY `id` DESC LIMIT $start, $max");

while($g = mysql_fetch_assoc($good))
{
echo '<div class="podmenu"><a href="/m/tovar.php?id='.$g['id'].'">'.$g['name'].'</a><br/>';
echo 'Стоит: '.$g['price'].'';
echo '</div>';
}

if($k_post < 1) echo '<div class="podmenu"><b><center>Товаров пока нет!</center></b></div>';

if($k_page>1) echo str(''.$HOME.'/m/dir.php?id='.$_GET['id'].'&',$k_page,$page); // Вывод страниц
	require_once ('../system/footer.php'); exit;
}
//Последний товар

//Поиск
echo '<div class="podmenu">Поиск:<br/><form action="" method="POST"><input type="text" name="searh"> <input type="submit" name="ok" value="Искать"></form></div>';

echo '<div class="links"><a href="/m">Магазин</a></div>';
require_once ('../system/footer.php');
?>